Page MenuHome

Laggy, freezing UI with Linux and Intel UHD 620
Open, NormalPublic

Description

System Information
Ubuntu 18.10 (wayland and xorg affected), Intel(R) UHD Graphics 620 (Kabylake GT2)

Blender Version
Broken: 2.80 (sub 27), branch: blender2.8, commit date: 2018-10-28 09:40, hash: 94ab6429bbd, type: Release
Worked: 2.79 (sub 0), branch: master, commit date: 2018-03-22 14:10, hash: f4dc9f9d68b, type: Release

Also worked on the same machine when Fedora was installed a few days ago, cannot find out exact build of blender 2.8 used though

Short description of error
Complete System is not responsive for several seconds, becomes unresponsive again after a few seconds, eventually freezes.

Exact steps for others to reproduce the error
Start blender, try to orbit around qube in default scene

Event Timeline

Brecht Van Lommel (brecht) renamed this task from Unusable with Ubuntu 18.10 to Laggy, freezing UI with Linux and Intel UHD 620.Nov 30 2018, 11:24 AM
Brecht Van Lommel (brecht) triaged this task as Normal priority.

Is there any way I can help track down this bug?

@joshua pritikin (jpritikin) It's already good information that it happens on both Wayland and X11, but only when doing something such as interacting with a menu.
It looks like it could be graphics card related. Unfortunately, that doesn't make it easy for a developer to debug without the same hardware :(
Could you make a short video that shows a freeze?

What about earlier builds of 2.80-to-be? Are those available somewhere?

I think you would have to build Blender yourself.

Probably not that helpful, but I also have this exact issue when running Blender 2.80 on my laptop.

Ubuntu 18.10 (Cosmic). Intel HD Graphics 620.

Happy to help with diagnostics if needed.

Could you make a short video that shows a freeze?

Here you go, https://youtu.be/QB7cRpAWqv0

it's related to round corner drawing.

If I reverse the patch you linked and recompile, will the bug be gone?

@joshua pritikin (jpritikin) It would be nice to know if it fixes the issue in your case.

It would be nice to know if it fixes the issue in your case.

I am happy to report that the change given in http://pasteall.org/1395682 solved my issue!

I reworked the rounded corner drawing rBd55c269dd197.

If that does not help, I would like you to try P849 on top of latest 2.8 and see if it fixes the problem.

I reworked the rounded corner drawing rBd55c269dd197.

The problem still persists.

If that does not help, I would like you to try P849 on top of latest 2.8 and see if it fixes the problem.

The problem still persists. No improvement.

Hi Clement,

I tested your try, but it didn't fix the issue. I also tested by using just a UNIFORM COLOR shader and I get very bad artifacts like the driverstate gets corrupted.

Issue is introduced by https://git.blender.org/gitweb/gitweb.cgi/blender.git/commit/34b3d6e2f88c275032cfec5aacd036cb65d20dc3
Reverting this commit (for now) will solved the problem.

[21:26] <atmind> hypersomniac: Your fix didn't help. Currently trying to change the vertex shader, but then it seems that the driverstate is not consistent.
[21:31] --> Sanne (~Sanne@164-222-103-86.dynamic.dsl.tng.de) has joined this channel.
[21:31] <atmind> hypersomniac: https://drive.google.com/file/d/1x8TVHtdfzE26ZyKnicKnZmw9Ltn0qV6P/view?usp=sharing
[21:32] <atmind> this is when using UNIFORM_COLOR shader,
[21:33] <-- JTa (~Thunderbi@unaffiliated/jta) has left this server (Quit: JTa).
[21:33] <atmind> with this patch http://pasteall.org/1397437/diff

I have the same results when I minimize the vertex shader of the border drawing. So I will be twiggling around some statements.

Ah never mind. the UNIFORM COLOR. I see now what you tried to do with the draw border shader :-)

This lagging/freezing issue also affects the latest build of Manjaro 18.0 (Arch Linux), on a Dell XPS 13" w/ the Intel 620.

Happy to report that the http://pasteall.org/1395682 FIXED my issue.

Can someone try P850 ? That's really strange that even GPU_SHADER_2D_UNIFORM_COLOR is creating problems so I suspect that there is not enough work for the driver and it misses something.

The thing with http://pasteall.org/1395682 is that it just removes all the area borders.

And reverting the optimization is a bit like saying that we put the issue on the side as it can show up at any time under another circumstance.
Theses are pretty dead-simple shaders and draw calls !

I'm on a Dell XPS 13" with an Intel 620 on Manjaro 18, P850 fixes the issue and there are no errors rendering the area borders.

@Pablo Dobarro (pablodp606) can you try this P851 ? This should be less problematic for performance.

@Clément Foucault (fclem) With P851 the issue is still present, I'm not noticing any difference

@Clément Foucault (fclem) I get the same result with P851 and P852, it keeps freezing.

@Pablo Dobarro (pablodp606) So finally tests P853 and P854 and then i'll commit a more isolated fix for only this GPU familly + linux

@Clément Foucault (fclem) Both P853 and P854 solve the issue, with apparently no difference between them

Much thanks to all of you who helped narrow down the issue! Very much appreciated!

I tested 40d0374411e28f. I'm sorry to report that It's still not fixed.

@joshua pritikin (jpritikin) Can you share you system-info.txt ? Maybe the fix is not applied to your hardware.

@Clément Foucault (fclem) I'm testing the new patch but it doesn't call glFlush() on my system. Shouldn't it be GPU_DRIVER_ANY instead of GPU_OS_ANY when checking the gpu type?

Looks like the code you used to detect Intel UHD doesn't work. If I add the glFlush() unconditionally then things work fine.

My system info,

Everyone's help with this issue is much appreciated. I can think of many ways to show you how much I appreciate this... and here's one:

So is this fixed for everyone? It's still happening for me. The UI locks up every few seconds. I can't see a particular pattern to it.

I am using the latest beta at time of writing - 7e5f31be418

System info in post above.

@Lewis Toohey (Lewis2e) it seems your gpu is not from the same familly as the original poster (the string "... HD Graphics 620 ..." instead of "... UHD Graphics 620 ..." . I'll make the detection match yours.

I've kicked the buildbot for you so it might be there soon.

@Clément Foucault (fclem) Thanks! I appreciate it.

I'll give it a try tonight. Hopefully it will be the same problem.

@Clément Foucault (fclem) Yes! This is now fixed for me. Thank you so much.

Hi All!

For me this bug is new as I'm trying to use Blnder 2.80 beta just from some days ago and the second aspect of the reason of the problem as I bought one Intel NUC8i7 what has Intel Iris 655 IGPU. It seems that the whole 'family' affected by the bug not just the serie 620.

The exact situation. With the official 2.80 nighlies (from some days ago (about last 2 weeks of January 2019)) I get the very same issues what are defined in this topic. With Eevee or Cycles rendering engines also when I try to start any work the interface started to lost it's responses and after some snippy reactions at the end it freezes the whole system. Just the hard reset help.

On the same machine with Blender 2.79 there is no problem, everything works just fine with the new NUC as before on my very-very old notebook with Intel GMA 4500.

So it seems that the bug what defined in this topic affect to Intel Iris 655 also (and I think from the reactions that basically affected to the whole Intel Iris 6xx IGPU family).

Could anybody help me what could be the next/first step to test any possible solution to help on me and on Blender developments/developers also?

Thanks for your help in advance!

Tamas Toth (ebola) reopened this task as Open.Jan 31 2019, 1:43 PM
Tamas Toth (ebola) added a comment.EditedJan 31 2019, 1:54 PM

Some more precise data about the environment:

B 2.79 sysinfo:

Thanks again for your efforts!

Tamas Toth (ebola) added a comment.EditedJan 31 2019, 6:21 PM

If I'm right the patch (in the latest nightly) of this topic initiated only just in the following circumstances:

if (strstr(renderer, "UHD Graphics") ||
		    /* Not UHD but affected by the same bugs. */
		    strstr(renderer, "HD Graphics 530") ||
		    strstr(renderer, "Kaby Lake GT2"))
		{
			GG.device |= GPU_DEVICE_INTEL_UHD;
		}

As Iris 655 has name (in Blender sysinfo): renderer: 'Mesa DRI Intel(R) HD Graphics (Coffeelake 3x8 GT3) ' in my case I do not get the 'glFlush' patch.

Could @Clément Foucault (fclem) or anybody please try to modify the source condition to include this IGPU string too?

Thanks again and continuously!

Tamas Toth (ebola) added a comment.EditedJan 31 2019, 6:50 PM

And lastly after some more research seems what I referred could be true but of course this is just a supposition as I did not follow the Intel IGPU history in the last some years.

Based on this informations...

This is my CPU with the defined 'Intel Iris Plus Graphics 655': https://ark.intel.com/products/137979/Intel-Core-i7-8559U-Processor-8M-Cache-up-to-4-50-GHz-

And some resources about these Intel IGPU series.
https://en.wikipedia.org/wiki/Intel_Graphics_Technology
https://www.notebookcheck.com/UHD-Graphics-617-vs-Iris-Plus-Graphics-655_9356_8828.247532.0.html
https://www.notebookcheck.com/Intel-HD-Graphics-615.173369.0.html

...I think that these IGPUs basically are very same with same drivers and as the result it seems that the bug (or so) affected to all these devices what could basically named by:

Mesa DRI Intel(R) HD Graphics or Mesa DRI Intel(R) UHD Graphics independently from their performances.

Of course I'm not an Intel IGPU expert but hope it could help on all those people who use Intel IGPU. (What is of course basically not a lucky state for 3D modelling but the life can bring some interesting situations:))

Thanks for your attentions!